document.addEventListener('DOMContentLoaded', function() {
  const switcherButtons = document.querySelectorAll('.login-switcher button');
  const loginForms = document.querySelectorAll('.login-form');

  switcherButtons.forEach(button => {
    button.addEventListener('click', function() {
      // Remove active class from all buttons and forms
      switcherButtons.forEach(btn => btn.classList.remove('active'));
      loginForms.forEach(form => form.classList.remove('active'));

      // Add active class to clicked button and corresponding form
      this.classList.add('active');
      const targetForm = document.getElementById(`${this.dataset.mode}-login`);
      targetForm.classList.add('active');
    });
  });

  // Handle form submission
  const loginForm = document.getElementById('password-login');
  loginForm.addEventListener('submit', function(e) {
    e.preventDefault();
    // Add your login logic here
    console.log('Login submitted');
  });
});